aboutsummaryrefslogtreecommitdiffstats
path: root/tools/updater
diff options
context:
space:
mode:
authorGiovanni Di Sirio <gdisirio@gmail.com>2018-12-02 17:20:59 +0000
committerGiovanni Di Sirio <gdisirio@gmail.com>2018-12-02 17:20:59 +0000
commit732268a2148db0771034af243ffbeac658fc4942 (patch)
tree1818173ee62e531e31ea10ff9e083dd0e0ccba1c /tools/updater
parent01e1216f5e175166041820b67d1abafb81ae5c16 (diff)
downloadChibiOS-732268a2148db0771034af243ffbeac658fc4942.tar.gz
ChibiOS-732268a2148db0771034af243ffbeac658fc4942.tar.bz2
ChibiOS-732268a2148db0771034af243ffbeac658fc4942.zip
Added F303 mcuconf.h generator.
git-svn-id: svn://svn.code.sf.net/p/chibios/svn/trunk@12458 110e8d01-0319-4d1e-a829-52ad28d1bb01
Diffstat (limited to 'tools/updater')
-rw-r--r--tools/updater/update_mcuconf_stm32f303xx.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tools/updater/update_mcuconf_stm32f303xx.sh b/tools/updater/update_mcuconf_stm32f303xx.sh
new file mode 100644
index 000000000..2d5c5ff10
--- /dev/null
+++ b/tools/updater/update_mcuconf_stm32f303xx.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+if [ $# -eq 2 ]
+ then
+ if [ $1 = "rootpath" ]
+ then
+ find $2 -name "mcuconf.h" -exec bash update_mcuconf_stm32f303xx.sh "{}" \;
+ else
+ echo "Usage: update_mcuconf_stm32f303xx.sh [rootpath <root path>]"
+ fi
+elif [ $# -eq 1 ]
+then
+ declare conffile=$(<$1)
+ if egrep -q "STM32F303_MCUCONF" <<< "$conffile"
+ then
+ echo Processing: $1
+ egrep -e "\#define\s+[a-zA-Z0-9_()]*\s+[a-zA-Z0-9_]" <<< "$conffile" | sed -r 's/\#define\s+([a-zA-Z0-9_]*)(\([^)]*\))?\s+/\1=/g' > ./values.txt
+ if ! fmpp -q -C conf.fmpp -S ../ftl/processors/conf/mcuconf_stm32f303xx
+ then
+ echo
+ echo "aborted"
+ exit 1
+ fi
+ cp ./mcuconf.h $1
+ rm ./mcuconf.h ./values.txt
+ fi
+else
+ echo "Usage: update_mcuconf_stm32f303xx.sh [rootpath <root path>]"
+ echo " update_mcuconf_stm32f303xx.sh <configuration file>]"
+fi